<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ShelfShare - Book Sharing Platform</title>
    <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
</head>
<body>
    <header>
        <!-- Button linking to the index view -->
        <a href="{% url 'analytics-dashboard' %}" class="button">Analytics Dashboard</a>
    </header>

    <main>
        {% block content %}
        <!-- This block will be replaced by child template content -->
        {% endblock %}
    </main>

    <footer>
        <!-- Site footer content -->
    </footer>
</body>
</html>
